# MMD楽器モデル Cymbal

## はじめに

本テキストファイルは、同梱したデータに関する情報・注意事項を記述したものです。  
データの使用につきましては、このファイルの内容をよく確認した上で使用して下さい。  

## 注意事項

下記のリポジトリ直下のREADMEを必ず読んだうえでご使用下さい。

- <https://github.com/TakosukeGH/mmd_models/>

## 使い方

- シンバルを揺らす → 揺らしたいフレームで、motionフォルダ内のbeater_10.vmdを読み込ませる
- スタンドの足を開閉させる → regボーンを操作する
- スタンドの高さを変える → rootボーンかcenterボーンを操作する
- スタンドの首の角度を変える → tilterボーンを操作する
- シンバルひっくり返す → body_deformボーンを回転させる
- シンバルを叩く場所を変える → beater_rotationボーンを操作する
- シンバルの揺れ時間を調整する → felt_rootボーンを操作する(※)

※MMDの「物理演算 > 剛体表示」をONにすると仕組みが分かりやすいです。  
felt_rootボーンを上にあげると、4本のフェルト剛体がシンバル剛体に密着し、  
揺れをしっかり押さえるようになります。  
逆に下に下げるとフェルトが離れ、揺れの減衰効果が少なくなります。  


- シンバルを凸凹させる → MMEでサブセット展開し、effectsフォルダ内のsimple_noromal_map-0.0.1.fxを材質"cymbal"に対して適用する
- シンバルの形を変える・穴を開ける → texturesフォルダ内のbody.pngを削除し、他の"body_"で始まるテクスチャの名前をbody.pngに変更する（body.pngの差し替え）

## 使用ツール

| 名前         | Ver. |
|:-------------|:-----|
| Blender      | 2.78 |
| PMX exporter | 0.01 |
| MMD          | 9.26 |

## 製作者情報

- 製作者名 : Takosuke
- 連絡先   : [@takosuke_tw](https://twitter.com/takosuke_tw)

## リリースノート

- 2017/09/26 : 公開